Quote Line Prices
The quote line prices resource.
Basehttps://rest.carbon.ms/quoteLinePrices
GET
/quoteLinePricesList quote line pricess
Retrieve a paginated list of quote line pricess. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GEThttps://rest.carbon.ms/quoteLinePrices
curl --request GET \
--url 'https://rest.carbon.ms/quoteLinePrices?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"id": "abc123def456",
"quoteId": "xyz789",
"quoteRevisionId": 0,
"status": "string",
"estimatorId": "xyz789",
"itemId": "xyz789",
"itemType": "string",
"description": "string"
}
]GET
/quoteLinePricesRetrieve a quote line prices
Fetch a single quote line prices by filtering on `id`.
Query parameters
idstringMatch on the quote line prices's `id`, e.g. `eq.{id}`.
GEThttps://rest.carbon.ms/quoteLinePrices
curl --request GET \
--url 'https://rest.carbon.ms/quoteLinePrices?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"id": "abc123def456",
"quoteId": "xyz789",
"quoteRevisionId": 0,
"status": "string",
"estimatorId": "xyz789",
"itemId": "xyz789",
"itemType": "string",
"description": "string"
}